Subject: bug#30320: 26.0.91; Crash when using lsp-ui-doc-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Feb 2018 22:14:32 +0200

> From: Jake Goulding <[email-masked]>
> Date: Mon, 5 Feb 2018 13:43:46 -0500
> 
> I added a condition and recompiled my ~/.emacs.d/elpa directory.
> It does seem to no longer crash:
> 
>     (if (display-graphic-p)
>         (set-frame-size frame width height t))
> 
> However, I also don't see the documentation displayed anywhere, so
> perhaps I've done something else incorrect?

No, I guess the package really depends on that child frame.  But I see
that an alternative solution is already proposed in response to the
issue you reported.